package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"folder"}
)
@XmlRootElement(
   name = "REPOSITORY"
)
public class REPOSITORY {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "DATABASETYPE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String databasetype;
   @XmlAttribute(
      name = "CODEPAGE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String codepage;
   @XmlAttribute(
      name = "VERSION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String version;
   @XmlAttribute(
      name = "PARENTREPOSITORY"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String parentrepository;
   @XmlElement(
      name = "FOLDER"
   )
   protected List<FOLDER> folder;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getDATABASETYPE() {
      return this.databasetype;
   }

   public void setDATABASETYPE(String value) {
      this.databasetype = value;
   }

   public String getCODEPAGE() {
      return this.codepage;
   }

   public void setCODEPAGE(String value) {
      this.codepage = value;
   }

   public String getVERSION() {
      return this.version;
   }

   public void setVERSION(String value) {
      this.version = value;
   }

   public String getPARENTREPOSITORY() {
      return this.parentrepository;
   }

   public void setPARENTREPOSITORY(String value) {
      this.parentrepository = value;
   }

   public List<FOLDER> getFOLDER() {
      if (this.folder == null) {
         this.folder = new ArrayList();
      }

      return this.folder;
   }
}
